# Multi-Fidelity Hyperparameter Optimization


This tutorial provides an overview of multi-fidelity HPO algorithms implemented
in Syne Tune. Multi-fidelity scheduling is one of the most successful recent
ideas used to speed up HPO. You will learn about the differences and relationships
between different methods, and how to choose the best approach for your own
problems.


# Table of Contents

* [Introduction](mf_introduction.md)
* [Setting up the Problem](mf_setup.md)
* [Synchronous Successive Halving and Hyperband](mf_syncsh.md)
* [Asynchronous Successive Halving](mf_asha.md)
* [Model-based Synchronous Hyperband](mf_sync_model.md)
* [Model-based Asynchronous Hyperband](mf_async_model.md)
* [Comparison of Methods](mf_comparison.md)

[[First Section]](mf_introduction.md)
